Name:           gnote
Version:        0.7.3
Release:        4%{?dist}
Summary:        Note-taking application
Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://live.gnome.org/Gnote
Source0:        http://ftp.gnome.org/pub/GNOME/sources/gnote/0.7/%{name}-%{version}.tar.bz2
Patch0: instance-save-addin-prefs.patch

BuildRequires:  gtkmm24-devel libxml2-devel GConf2-devel intltool 
BuildRequires:  boost-devel libuuid-devel dbus-c++-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gnome-doc-utils >= 0.3.2
BuildRequires:  libpanelappletmm-devel
BuildRequires:  gettext pcre-devel
BuildRequires:  gtkspell-devel libxslt-devel

Requires(pre)  :GConf2
Requires(post) :GConf2
Requires(preun):GConf2

%description
Gnote is a desktop note-taking application which is simple and easy to use.
It lets you organize your notes intelligently by allowing you to easily link
ideas together with Wiki style interconnects. It is a port of Tomboy to C++ 
and consumes fewer resources.

%prep
%setup -q
%patch0 -p1 

%build
%configure --disable-schemas-install --disable-static --with-gnu-ld --enable-dbus
V=1 make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

desktop-file-install \
 --dir=%{buildroot}%{_datadir}/applications \
%{buildroot}/%{_datadir}/applications/gnote.desktop

find $RPM_BUILD_ROOT -type f -name "*.la" -delete


%find_lang %{name}

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnote.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gnote.schemas > /dev/null

touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gnote.schemas >/dev/null;
fi

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README TODO NEWS AUTHORS
%{_bindir}/gnote
%{_prefix}/libexec/gnote-applet 
%{_mandir}/man1/gnote.1.gz
%{_datadir}/applications/gnote.desktop
%{_datadir}/gnote/
%{_datadir}/icons/hicolor/*/apps/gnote.png
%{_datadir}/icons/hicolor/scalable/apps/gnote.svg
%{_sysconfdir}/gconf/schemas/gnote.schemas
%{_datadir}/gnome/help/gnote/
%{_datadir}/omf/gnote/
%{_prefix}/%{_lib}/gnote/
%{_prefix}/%{_lib}/bonobo/servers/GNOME_GnoteApplet.server
%{_datadir}/dbus-1/services/org.gnome.Gnote.service

%changelog
* Fri Dec 17 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.3-4
- Add the patch

* Fri Dec 17 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.3-3
- Fix gnote losing add-in status when running as app
- Resolves rhbz#654562

* Sat Nov 06 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.3-2
- Explicit build requires on libxslt-devel

* Sat Nov 06 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.3-1
- New upstream bug fix release with translation updates
- http://mail.gnome.org/archives/gnote-list/2010-November/msg00002.html
- Drop backported patch

* Fri Jul 30 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.2-2
- Rebuild for Boost 1.44
- Drop the clean section

* Fri Mar 12 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.2-1
- Ability to search for phrases, prompt while renaming notes, bug fixes
- Add a patch from upstream master to replace deprecated macros 
- Drop upstreamed patch to fix dso linking
- http://mail.gnome.org/archives/gnote-list/2010-March/msg00010.html

* Tue Feb 16 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.1-3
- Fix implicit DSO linking (thanks to Ankur Sinha)
- Fixes bz#564774

* Wed Jan 20 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.1-2
- Rebuild for new Boost soname bump

* Tue Jan 05 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.1-1
- Mostly minor bug fixes
- http://mail.gnome.org/archives/gnote-list/2010-January/msg00004.html

* Fri Jan 01 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 0.7.0-1
- Add a Note of the Day addin, addins can be disabled now
- http://mail.gnome.org/archives/gnote-list/2009-December/msg00013.html

* Tue Dec 29 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.3-3
- Upstream patches adding a fix for Bugzilla add-in and other minor bug fixes

* Tue Dec 22 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.3-2
- Several patches from upstream for additional translations
- Gnote now confirm to XDG specification

* Tue Dec 01 2009 Bastien Nocera <bnocera@redhat.com> 0.6.3-1
- Update to 0.6.3

* Thu Aug 13 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.2-1
- Very minor bug fixes
- http://mail.gnome.org/archives/gnote-list/2009-August/msg00006.html

* Sat Aug 01 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.6.1-1
- D-Bus support enabled, many new features and bug fixes
- http://mail.gnome.org/archives/gnote-list/2009-July/msg00016.html
- 0.6.0 skipped due to applet breakage fixed in this release
- http://mail.gnome.org/archives/gnote-list/2009-July/msg00020.html

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.3-1
- Few minor bug fixes
- http://mail.gnome.org/archives/gnote-list/2009-July/msg00002.html

* Sat Jul 04 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.2-2
- Build requires libuuid-devel instead of e2fsprogs-devel

* Sat Jul 04 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.2-1
- New upstream bug fix release
- http://mail.gnome.org/archives/gnote-list/2009-July/msg00000.html

* Thu Jun 25 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.1-1
- Fixes a regression and some bugs
- http://mail.gnome.org/archives/gnote-list/2009-June/msg00002.html

* Wed Jun 17 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.5.0-1
- Adds the ability to import Tomboy notes on first run 
- http://mail.gnome.org/archives/gnote-list/2009-June/msg00000.html
 
* Thu May 28 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.4.0-1
- Many minor bug fixes from new upstream release
  http://www.figuiere.net/hub/blog/?2009/05/27/670-gnote-040

* Wed May 06 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.3.1-1
- new upstream release. Fixes rhbz #498739. Fix #499227

* Fri May 01 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.3.0-1
- new upstream release. Includes applet and more plugins.

* Fri Apr 24 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.0-2
- enable spell checker

* Thu Apr 23 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.0-1
- new upstream release

* Thu Apr 16 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.2-2
- Add BR on gnome-doc-utils

* Wed Apr 15 2009 Jesse Keating <jkeating@redhat.com> - 0.1.2-1
- Update to 0.1.2 to fix many upstream bugs
  http://www.figuiere.net/hub/blog/?2009/04/15/660-gnote-012

* Fri Apr 10 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.1-4
- Drop a unnecessary require, BR and fix summary

* Wed Apr 08 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.1-3
- Fix review issues

* Wed Apr 08 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.1-2
- include pre script for gconf schema

* Wed Apr 08 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.1-1
- Initial spec file

